## ros-noetic-dataspeed-pds-lcm 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dataspeed_pds_lcm)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  nodelet
  dataspeed_pds_msgs
  message_filters
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Enabling coverage testing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
endif()

# Find OR install LCM
include(lcm.cmake)

# Generate LCM type header files
FILE(GLOB files RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/lcmtypes" "${CMAKE_CURRENT_SOURCE_DIR}/lcmtypes/*.lcm")
FOREACH(filename ${files})
  MESSAGE(STATUS "Generating LCM type header: ${filename}")
  execute_process(
    COMMAND lcm-gen --lazy --cpp --cpp-hpath ${CMAKE_CURRENT_SOURCE_DIR}/include ${filename}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/lcmtypes
  )
ENDFOREACH(filename)

catkin_package(
  INCLUDE_DIRS include ${LCM_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME} ${LCM_LIBRARIES}
)

include_directories(
  include
  ${LCM_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/nodelet.cpp
  src/PdsNode.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES} ${LCM_LIBRARIES}
)

add_executable(${PROJECT_NAME}_node
  src/node.cpp
)
add_dependencies(${PROJECT_NAME}_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_node
  ${PROJECT_NAME}
)
set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME pds_node PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.hpp"
)
install(FILES nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only configured when CATKIN_ENABLE_TESTING is true.

# These dependencies are only needed for unit testing
find_package(roslaunch REQUIRED)
find_package(rostest REQUIRED)

# Check all the launch/*.launch files
roslaunch_add_file_check(../launch)

# Generate CAN messages for each module
add_executable(${PROJECT_NAME}_hz hz.cpp)
target_link_libraries(${PROJECT_NAME}_hz ${catkin_LIBRARIES} ${LCM_LIBRARIES})

# Test frequency with multiple modules
add_rostest(hz.test ARGS unit_id:=0)
add_rostest(hz.test ARGS unit_id:=1)
add_rostest(hz.test ARGS unit_id:=2)
add_rostest(hz.test ARGS unit_id:=3)

=== debian/changelog ===
ros-noetic-dataspeed-pds-lcm (1.0.6-1buster) buster; urgency=high

  * Updated license year for 2020
  * Renamed PDS to iPDS
  * Update LCM status message
  * Support all 3 internal temp sensors on RevI hardware
  * Contributors: Michael Lohrer

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 Nov 2020 05:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.5-1buster) buster; urgency=high

  * Add missing rostest dependency
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 28 Jul 2020 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.4-1buster) buster; urgency=high

  * Don't extract the LCM binaries for the buildfarm since they're available for modern distributions
  * Change liblcm dependency to match official rosdep rule
    https://github.com/ros/rosdistro/pull/25736
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 24 Jul 2020 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.3-1buster) buster; urgency=high

  * Fix cmake dependency error with catkin_EXPORTED_TARGETS
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_aut
  * Enabled code coverage testing when built as debug
  * Fixed bad asserts
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 09 Jul 2020 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.2-1buster) buster; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 29 Jun 2018 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.1-1buster) buster; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 28 Jun 2018 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.0-1buster) buster; urgency=high

  * Use ROS message syncronization to dynamically sync up to 4 units (master and 3 slaves)
  * Fixed LCM cmake detection using cmake module FindLCM.cmake
  * LCM status messages have 20ms period
  * Added roslaunch syntax check
  * Added hz test
  * Updated license year for 2018
  * Contributors: Kevin Hallenbeck, Lincoln Lorenz

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 25 Apr 2018 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (0.1.2-1buster) buster; urgency=high

  * Fixed inverter status
  * Contributors: Eric Myllyoja, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (0.1.1-1buster) buster; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (0.1.0-1buster) buster; urgency=high

  * Initial release
  * Contributors: Eric Myllyoja, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-dataspeed-pds-lcm
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), liblcm-dev, ros-noetic-catkin, ros-noetic-dataspeed-pds-msgs, ros-noetic-message-filters, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rostest
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-noetic-dataspeed-pds-lcm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblcm1, ros-noetic-dataspeed-pds-msgs, ros-noetic-message-filters, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslaunch
Description: Interface to the Dataspeed Inc.
 Intelligent Power Distribution System (iPDS) via LCM

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-dataspeed-pds-lcm//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
